# overlay network bindings — NCM API

NCP Gateway clients and the overlay networks they are bound to. Full lifecycle: list, create, update and delete bindings. Use it to see which devices participate in an overlay network, and to attach or detach them.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /overlay_network_bindings/

Get information about overlay_network_bindings

Use the GET method on this endpoint to retrieve overlay_network_bindings records. Use the available filtering fields to narrow or broaden your search.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | query | integer | no | ID of the overlay_network_bindings record |
| id__in | query | in: int<br />out: url | no | Filter for overlay_network_bindings contains - a comma-separated list of overlay_network_bindings IDs. |
| account | query | in: int<br />out: url | no | Account that owns the overlay_network_bindings record |
| account__in | query | integer | no | Filter for account contains - a comma-separated list of account IDs. |
| forwarding_lan_details | query | in: int<br />out: url | no | Forwarding LAN details (enabled, auto-whitelist, lan) |
| forwarding_lan_details__in | query | integer | no | Filter for forwarding_lan_details contains - a comma-separated list of forwarding_lan_details IDs. |
| network_id | query | integer | no | Associated network ID |
| network_id__in | query | integer | no | Filter for network id contains - a comma-separated list of network IDs. |
| gateway_id | query | integer | no | Associated gateway ID |
| gateway_id__in | query | integer | no | Filter for gateway id contains - a comma-separated list of gateway IDs. |
| group | query | in: int<br />out: url | no | Associated group ID |
| group__in | query | integer | no | Filter for group contains - a comma-separated list of group IDs. |
| router | query | in: int<br />out: url | no | Associated router ID |
| router__in | query | integer | no | Filter for router contains - a comma-separated list of router IDs. |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |
| offset | query | integer | no | Specifies where (an index) in a recordset to begin returning records. |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/overlay_network_bindings/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — No response was specified

### POST /overlay_network_bindings/

Create an overlay_network_bindings record

Use the POST method on this endpoint to create a new overlay_network_bindings record. Include the fields/values to add for the record in the 'Content' field as a JSON object.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |

**Request body**

**Example request**

```bash
curl -X POST "https://www.cradlepointecm.com/api/v2/overlay_network_bindings/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — No response was specified

### PUT /overlay_network_bindings/{id}/

Update an overlay_network_bindings record

Use the PUT method on this endpoint to update an overlay_network_bindings record. Include the fields/values to update in the 'Content' field as a JSON object.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | path | integer | yes | The ID of the overlay_network_bindings to PUT |

**Request body**

**Example request**

```bash
curl -X PUT "https://www.cradlepointecm.com/api/v2/overlay_network_bindings/{id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — No response was specified

### DELETE /overlay_network_bindings/{id}/

Delete an overlay_network_bindings record

Use the DELETE method on this endpoint to delete an overlay_network_bindings record. This method requires the ID of the overlay_network_bindings record to delete. Performing a DELETE action removes the record from NetCloud and can't be reversed.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | path | integer | yes | ID of the overlay_network_bindings record to delete |

**Example request**

```bash
curl -X DELETE "https://www.cradlepointecm.com/api/v2/overlay_network_bindings/{id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — No response was specified
